Bug 25347 - Add support for circulation status 11 ( claimed returned )
Summary: Add support for circulation status 11 ( claimed returned )
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 25344
Blocks: 25348
  Show dependency treegraph
 
Reported: 2020-05-01 16:16 UTC by Kyle M Hall
Modified: 2020-08-18 02:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25347: Add support for circulation status 11 ( claimed returned ) (2.81 KB, patch)
2020-05-01 16:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25347: Add support for circulation status 11 ( claimed returned ) (2.84 KB, patch)
2020-05-02 02:47 UTC, David Nind
Details | Diff | Splinter Review
Bug 25347: Add support for circulation status 11 ( claimed returned ) (2.89 KB, patch)
2020-08-11 14:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25347: Add support for circulation status 11 ( claimed returned ) (2.93 KB, patch)
2020-08-11 15:32 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-05-01 16:16:15 UTC
Now that we have return claims in Koha, we should support the SIP2 "circulation status" value 11, "claimed returned".
Comment 1 Kyle M Hall 2020-05-01 16:26:14 UTC
Created attachment 104126 [details] [review]
Bug 25347: Add support for circulation status 11 ( claimed returned )

Now that we have return claims in Koha, we should support the SIP2
"circulation status" value 11, "claimed returned".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t
Comment 2 David Nind 2020-05-02 02:47:05 UTC
Created attachment 104173 [details] [review]
Bug 25347: Add support for circulation status 11 ( claimed returned )

Now that we have return claims in Koha, we should support the SIP2
"circulation status" value 11, "claimed returned".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2020-08-11 14:58:55 UTC
Created attachment 108078 [details] [review]
Bug 25347: Add support for circulation status 11 ( claimed returned )

Now that we have return claims in Koha, we should support the SIP2
"circulation status" value 11, "claimed returned".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Tomás Cohen Arazi 2020-08-11 15:32:12 UTC
Created attachment 108080 [details] [review]
Bug 25347: Add support for circulation status 11 ( claimed returned )

Now that we have return claims in Koha, we should support the SIP2
"circulation status" value 11, "claimed returned".

Test Plan:
1) Apply this patch
2) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2020-08-11 15:35:38 UTC
Comment on attachment 108080 [details] [review]
Bug 25347: Add support for circulation status 11 ( claimed returned )

>diff --git a/C4/SIP/ILS/Item.pm b/C4/SIP/ILS/Item.pm
>index d5e61362bd..0950864aa2 100644
>--- a/C4/SIP/ILS/Item.pm
>+++ b/C4/SIP/ILS/Item.pm
>+    elsif ( Koha::Checkouts::ReturnClaims->search({ itemnumber => $self->{_object}->id, resolution => undef })->count ) {
>+        return '11';    # claimed returned
>+    }

I see a case for a tested higher level method for knowing if an item has standing return claims.
Unrelated to this bug, though.
Comment 6 Jonathan Druart 2020-08-13 08:19:22 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-17 15:44:02 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-18 02:26:01 UTC
enhancement missing dependencies, not backported to 19.11.x